Bug 1397120 - os_distro definition does not enable virtio-scsi
Summary: os_distro definition does not enable virtio-scsi
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Irina
QA Contact: Mikey Ariel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 16:35 UTC by Marko Myllynen
Modified: 2020-12-21 19:39 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-02 11:31:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marko Myllynen 2016-11-21 16:35:00 UTC
Description of problem:
Setting os_distro=rhel7.1 or os_distro=fedora22 does not enable virtio-scsi although based on the upstream spec https://specs.openstack.org/openstack/nova-specs/specs/kilo/approved/libvirt-hardware-policy-from-libosinfo.html this would seem expected.

Manually setting hw_scsi_model / hw_disk_bus enables virtio-scsi ok.

Version-Release number of selected component (if applicable):
RH OSP 9

Comment 1 Marko Myllynen 2016-11-21 16:36:03 UTC
NB. Contrary to the RH OSP 9 Release Notes, the image property is indeed os_distro, not os_name.

https://access.redhat.com/documentation/en/red-hat-openstack-platform/9/single/release-notes/

Comment 2 Jon Schlueter 2016-11-21 16:43:35 UTC
For RH OSP 9 you might want to match rhel installed.  os_distro=rhel7.3 instead of rhel 7.1

Comment 3 Marcos Garcia 2016-11-21 16:45:15 UTC
You set this with set the os_name image property to a valid short-id (e.g. rhel7, winxp) or URI for the operating system.
    More specific than previous handling via os_type=’windows’

https://specs.openstack.org/openstack/nova-specs/specs/mitaka/implemented/libvirt-hardware-policy-from-libosinfo.html

Comment 4 Daniel Berrangé 2016-11-21 16:46:39 UTC
The spec just illustrate the *potential* use cases for libosinfo. As implemented, the nova code only supports picking virtio-blk and virtio-net. There's no support for virtio-scsi selection in nova. Furthermore, the libosinfo database doesn't report support for virtio-scsi against RHEL

Comment 5 Marko Myllynen 2016-11-21 16:53:15 UTC
(In reply to Jon Schlueter from comment #2)
> For RH OSP 9 you might want to match rhel installed.  os_distro=rhel7.3
> instead of rhel 7.1

This doesn't work, see https://bugzilla.redhat.com/show_bug.cgi?id=1387449.

(In reply to Marcos Garcia from comment #3)
> You set this with set the os_name image property to a valid short-id (e.g.
> rhel7, winxp) or URI for the operating system.

No, os_name is not recognized, see https://github.com/openstack/nova/blob/stable/newton/nova/objects/image_meta.py.

(In reply to Daniel Berrange from comment #4)
> The spec just illustrate the *potential* use cases for libosinfo. As
> implemented, the nova code only supports picking virtio-blk and virtio-net.
> There's no support for virtio-scsi selection in nova. Furthermore, the
> libosinfo database doesn't report support for virtio-scsi against RHEL

Right, thanks for the clarification.

Comment 6 Daniel Berrangé 2016-11-21 17:01:39 UTC
FWIW, I think we *should* implement the virtio-scsi support for Nova using libosinfo *and* update osinfo database to have right info for RHEL-7. I'm simply meaning its more of an RFE rather than a bug fix

Comment 7 Marko Myllynen 2016-11-21 17:05:47 UTC
(In reply to Marko Myllynen from comment #5)
> (In reply to Jon Schlueter from comment #2)
> > For RH OSP 9 you might want to match rhel installed.  os_distro=rhel7.3
> > instead of rhel 7.1
> 
> This doesn't work [...]

Correcting myself, "rhel7.2" and "rhel7.3" are recognized on RHEL 7.3 hosts.

Thanks.

Comment 10 Matthew Booth 2019-07-26 14:22:59 UTC
This needs to be documented as a doc text known issue.

9 is EOL, but this still applies to OSP10+.


Note You need to log in before you can comment on or make changes to this bug.